package com.google.crypto.tink.shaded.protobuf;

/* access modifiers changed from: package-private */
public interface MutabilityOracle {
    public static final MutabilityOracle IMMUTABLE = new MutabilityOracle() {
        /* class com.google.crypto.tink.shaded.protobuf.MutabilityOracle.AnonymousClass1 */

        @Override // com.google.crypto.tink.shaded.protobuf.MutabilityOracle
        public void ensureMutable() {
            throw new UnsupportedOperationException();
        }
    };

    void ensureMutable();
}
